Package org.kapott.hbci.status

## Class HBCIExecThreadedStatus

- java.lang.Object
- - org.kapott.hbci.status.HBCIExecThreadedStatus

    public class HBCIExecThreadedStatus
    extends java.lang.Object

Wird für Status-Informationen bei Verwendung des threaded-callback-Mechanismus' benötigt. Für den threaded-callback-Mechanismus werden die Methoden `HBCIHandler.executeThreaded()` und `HBCIHandler.continueThreaded(String)` verwendet, die jeweils ein Objekt von `HBCIExecThreadedStatus` zurückgeben.

Objekte dieser Klasse geben zunächst Auskunft darüber, warum `executeThreaded()` bzw. `continueThreaded()` terminiert sind. Ursache kann zum einen sein, dass Callback-Daten benötigt werden - in diesem Fall enthält das `HBCIExecThreadedStatus`-Objekt die Informationen zum aufgetretenen Callback. Andernfalls zeigt das `HBCIExecThreadedStatus`-Objekt an, dass der HBCI-Dialog beendet ist - in diesem Fall sind die HBCI-Dialog-Status-Informationen als `HBCIExecStatus`-Objekt enthalten (analog zum Rückgabewert von `HBCIHandler.execute()`.

### Constructor Summary

Constructors
`HBCIExecThreadedStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Hashtable<java.lang.String,​java.lang.Object>` `getCallbackData()` Callback-Daten auslesen.
`HBCIExecStatus` `getExecStatus()` Auslesen des HBCI-Dialog-Status.
`boolean` `isCallback()` Zeigt an, ob Callback-Daten benötigt werden (`true`), oder ob der HBCI-Dialog beendet ist (`false`).
`boolean` `isFinished()` Zeigt an, ob der HBCI-Dialog beendet ist (`true`).
`void` `setCallbackData​(java.util.Hashtable<java.lang.String,​java.lang.Object> callbackData)` Callback-Daten in diesem Objekt speichern.
`void` `setExecStatus​(HBCIExecStatus status)` Speichern des Dialog-Status.
`java.lang.String` `toString()` Gibt einen String mit allen gespeicherten Informationen zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HBCIExecThreadedStatus

    public HBCIExecThreadedStatus()

### Method Detail

#### setCallbackData

    public void setCallbackData​(java.util.Hashtable<java.lang.String,​java.lang.Object> callbackData)

Callback-Daten in diesem Objekt speichern. Wird nur vom HBCI-Kernel aufgerufen.

#### getCallbackData

    public java.util.Hashtable<java.lang.String,​java.lang.Object> getCallbackData()

Callback-Daten auslesen. Wenn `isCallback()` `true` ist, bedeutet das, dass ein Callback aufgetreten ist, der behandelt werden muss. Die zurückgegebene `Hashtable` enthält folgende Werte:

- "`method`": ist im Moment immer "`callback`"
- "`passport`": enthält das Passport-Objekt, dessen HBCI-Dialog Callback-Daten benötigt.
- "`reason`": enthält den Callback-Reason als `Integer`-Objekt.
- "`msg`": enthält die Callback-Message.
- "`dataType`": enthält den erwarteten Datentyp der Antwort als `Integer`-Objekt.
- "`retData`": enthält das `retData`-Objekt (`StringBuffer`), in welches die Callback-Daten hineingeschrieben werden müssen.

#### setExecStatus

    public void setExecStatus​(HBCIExecStatus status)

Speichern des Dialog-Status. Wird nur vom HBCI-Kernel aufgerufen.

#### getExecStatus

    public HBCIExecStatus getExecStatus()

Auslesen des HBCI-Dialog-Status. Falls die Methode `isFinished()` `true` zurückgibt, bedeutet das, dass der HBCI-Dialog beendet ist. In diesem Fall kann mit `getExecStatus` das `HBCIExecStatus`-Objekt ausgelesen werden, welches den eigentlichen Status des HBCI-Dialoges anzeigt (analog zu `HBCIHandler.execute()`).

#### isFinished

    public boolean isFinished()

Zeigt an, ob der HBCI-Dialog beendet ist (`true`).

#### isCallback

    public boolean isCallback()

Zeigt an, ob Callback-Daten benötigt werden (`true`), oder ob der HBCI-Dialog beendet ist (`false`).

#### toString

    public java.lang.String toString()

Gibt einen String mit allen gespeicherten Informationen zurück.

Overrides:
  `toString` in class `java.lang.Object`